# fortios_antivirus_quarantine – Configure quarantine options in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify antivirus feature and quarantine category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
antivirus_quarantine dictionary | Default: null | Configure quarantine options.
| agelimit integer |  | Age limit for quarantined files (0 - 479 hours, 0 means forever).

destination
string

Choices:
- None
- disk
- FortiAnalyzer

Choose whether to quarantine files to the FortiGate disk or to FortiAnalyzer or to delete them instead of quarantining them.

drop_blocked
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Do not quarantine dropped files found in sessions using the selected protocols. Dropped files are deleted instead of being quarantined.

drop_heuristic
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- https
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Do not quarantine files detected by heuristics found in sessions using the selected protocols. Dropped files are deleted instead of being quarantined.

drop_infected
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- https
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Do not quarantine infected files found in sessions using the selected protocols. Dropped files are deleted instead of being quarantined.

lowspace
string

Choices:
- drop-new
- ovrw-old

Select the method for handling additional files when running low on disk space.

| maxfilesize integer |  | Maximum file size to quarantine (0 - 500 Mbytes, 0 means unlimited).
| quarantine_quota integer |  | The amount of disk space to reserve for quarantining files (0 - 4294967295 Mbytes, depends on disk space).

store_blocked
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Quarantine blocked files found in sessions using the selected protocols.

store_heuristic
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- https
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Quarantine files detected by heuristics found in sessions using the selected protocols.

store_infected
string

Choices:
- imap
- smtp
- pop3
- http
- ftp
- nntp
- imaps
- smtps
- pop3s
- https
- ftps
- mapi
- cifs
- mm1
- mm3
- mm4
- mm7

Quarantine infected files found in sessions using the selected protocols.

host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure quarantine options.
        fortios_antivirus_quarantine:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          antivirus_quarantine:
            agelimit: "3"
            destination: "NULL"
            drop_blocked: "imap"
            drop_heuristic: "imap"
            drop_infected: "imap"
            lowspace: "drop-new"
            maxfilesize: "9"
            quarantine_quota: "10"
            store_blocked: "imap"
            store_heuristic: "imap"
            store_infected: "imap"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.